Index: branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IAdditiveRealVectorMoveOperator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IAdditiveRealVectorMoveOperator.cs	(revision 14923)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IAdditiveRealVectorMoveOperator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
+  [StorableType("4c34d0bb-05c6-4291-9eb7-002c567fd255")]
   public interface IAdditiveRealVectorMoveOperator : IRealVectorMoveOperator {
     ILookupParameter<AdditiveMove> AdditiveMoveParameter { get; }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorBoundsChecker.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorBoundsChecker.cs	(revision 14923)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorBoundsChecker.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
+  [StorableType("c27ee5f3-c7b7-44c6-9135-c59a097c12c1")]
   public interface IRealVectorBoundsChecker : IOperator {
     LookupParameter<RealVector> RealVectorParameter { get; }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorCreator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorCreator.cs	(revision 14923)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorCreator.cs	(revision 14929)
@@ -23,4 +23,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
@@ -28,4 +29,5 @@
   /// An interface which represents an operator for creating vectors of real-valued data.
   /// </summary>
+  [StorableType("bc6f3acd-5c17-4854-b0c6-299823106286")]
   public interface IRealVectorCreator : IRealVectorOperator, ISolutionCreator {
     IValueLookupParameter<IntValue> LengthParameter { get; }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorCrossover.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorCrossover.cs	(revision 14923)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorCrossover.cs	(revision 14929)
@@ -23,4 +23,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
@@ -28,4 +29,5 @@
   /// An interface which represents an operator for crossing vectors of real-valued data.
   /// </summary>
+  [StorableType("3939d5b9-edcb-46a9-ac52-41a0d63bb3fd")]
   public interface IRealVectorCrossover : IRealVectorOperator, ICrossover {
     ILookupParameter<ItemArray<RealVector>> ParentsParameter { get; }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorManipulator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorManipulator.cs	(revision 14923)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorManipulator.cs	(revision 14929)
@@ -23,4 +23,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
@@ -28,4 +29,5 @@
   /// An interface which represents an operator for manipulating vectors of real-valued data.
   /// </summary>
+  [StorableType("b5856823-55d2-4ace-b8a9-ac7457695dc5")]
   public interface IRealVectorManipulator : IRealVectorOperator, IManipulator {
     ILookupParameter<RealVector> RealVectorParameter { get; }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorMoveGenerator.cs	(revision 14923)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorMoveGenerator.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
+  [StorableType("aff0fbe3-12e5-4ea4-b8e9-352c3eb7869f")]
   public interface IRealVectorMoveGenerator : IRealVectorMoveOperator, IMoveGenerator {
     IValueLookupParameter<DoubleMatrix> BoundsParameter { get; }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorMoveOperator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorMoveOperator.cs	(revision 14923)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorMoveOperator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
+  [StorableType("ca48c1d6-217a-49d1-8e71-f06d04087f46")]
   public interface IRealVectorMoveOperator : IRealVectorOperator, IMoveOperator {
     ILookupParameter<RealVector> RealVectorParameter { get; }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorMultiNeighborhoodShakingOperator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorMultiNeighborhoodShakingOperator.cs	(revision 14923)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorMultiNeighborhoodShakingOperator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
+  [StorableType("16e21e95-b6bc-4bb3-8725-3c5ca0ce1201")]
   public interface IRealVectorMultiNeighborhoodShakingOperator : IRealVectorOperator {
     ILookupParameter<RealVector> RealVectorParameter { get; }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorOperator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorOperator.cs	(revision 14923)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorOperator.cs	(revision 14929)
@@ -21,4 +21,5 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
@@ -26,4 +27,5 @@
   /// An interface which represents an operator dealing with vectors of real-valued data.
   /// </summary>
+  [StorableType("3f054bdf-781b-49a6-b590-6077e71209fd")]
   public interface IRealVectorOperator : IOperator { }
 }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorParticleCreator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorParticleCreator.cs	(revision 14923)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorParticleCreator.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
+  [StorableType("17aefe81-633a-47fe-8268-7ccb0a9dd51d")]
   public interface IRealVectorParticleCreator : IParticleCreator, IRealVectorOperator {
     ILookupParameter<IntValue> ProblemSizeParameter { get; }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorParticleUpdater.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorParticleUpdater.cs	(revision 14923)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorParticleUpdater.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
+  [StorableType("048fec0c-8e11-4c92-89ee-e8e17fee1297")]
   public interface IRealVectorParticleUpdater : IParticleUpdater, IRealVectorOperator {
     ILookupParameter<RealVector> VelocityParameter { get; }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorStdDevStrategyParameterCreator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorStdDevStrategyParameterCreator.cs	(revision 14923)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorStdDevStrategyParameterCreator.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
+  [StorableType("8e1619ec-2140-4005-8c5c-2825203a7c08")]
   public interface IRealVectorStdDevStrategyParameterCreator : IRealVectorStdDevStrategyParameterOperator, IStrategyParameterCreator {
     ILookupParameter<RealVector> StrategyParameterParameter { get; }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorStdDevStrategyParameterCrossover.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorStdDevStrategyParameterCrossover.cs	(revision 14923)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorStdDevStrategyParameterCrossover.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
+  [StorableType("85cdf345-83e0-4b73-9248-3c25ed2c1e6c")]
   public interface IRealVectorStdDevStrategyParameterCrossover : IRealVectorStdDevStrategyParameterOperator, IStrategyParameterCrossover {
     ILookupParameter<RealVector> StrategyParameterParameter { get; }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorStdDevStrategyParameterManipulator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorStdDevStrategyParameterManipulator.cs	(revision 14923)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorStdDevStrategyParameterManipulator.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
+  [StorableType("906f1212-3282-40a8-bd5e-2aa6fe419ef5")]
   public interface IRealVectorStdDevStrategyParameterManipulator : IRealVectorStdDevStrategyParameterOperator, IStrategyParameterManipulator {
     ILookupParameter<RealVector> StrategyParameterParameter { get; }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorStdDevStrategyParameterOperator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorStdDevStrategyParameterOperator.cs	(revision 14923)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorStdDevStrategyParameterOperator.cs	(revision 14929)
@@ -20,6 +20,8 @@
 #endregion
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
+  [StorableType("87c3eee5-e097-4ce6-948e-66afb22fa126")]
   public interface IRealVectorStdDevStrategyParameterOperator : IOperator {
   }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorSwarmUpdater.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorSwarmUpdater.cs	(revision 14923)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorSwarmUpdater.cs	(revision 14929)
@@ -21,7 +21,9 @@
 
 using HeuristicLab.Core;
-using HeuristicLab.Optimization; 
+using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
+  [StorableType("6fc00138-5da5-4831-b7f5-2ac08d1e6dd5")]
   public interface IRealVectorSwarmUpdater : ISwarmUpdater, IRealVectorOperator {
     IScopeTreeLookupParameter<RealVector> NeighborBestParameter { get; }
